Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ParticleIterator Class Reference

Convenience class to make it easy to step through all particles in a ParticleSystem. More...

`#include <OgreParticleIterator.h>`

List of all members.

## Public Methods

bool | end (void)
Particle * | getNext (void)
| Returns a pointer to the next particle, and moves the iterator on by 1 element.

## Protected Methods

| ParticleIterator (std::list< Billboard * >::iterator start, std::list< Billboard * >::iterator end)
| Protected constructor, only available from ParticleSystem::getIterator.

## Protected Attributes

std::list< Billboard * >::iterator | mPos
std::list< Billboard * >::iterator | mStart
std::list< Billboard * >::iterator | mEnd

## Friends

class | ParticleSystem

## Detailed Description

Convenience class to make it easy to step through all particles in a ParticleSystem.

Definition at line 35 of file OgreParticleIterator.h.

## Constructor & Destructor Documentation

Ogre::ParticleIterator::ParticleIterator | ( | std::list< Billboard * >::iterator | start,
|  | std::list< Billboard * >::iterator | end
| ) | `[protected]`

| Protected constructor, only available from ParticleSystem::getIterator. Definition at line 32 of file OgreParticleIterator.cpp. References end(), mEnd, mPos, and mStart.

## Member Function Documentation

bool Ogre::ParticleIterator::end | ( | void |  | ) |

Definition at line 38 of file OgreParticleIterator.cpp.

References mEnd, and mPos.

Referenced by Ogre::ScaleAffector::_affectParticles(), Ogre::RotationAffector::_affectParticles(), Ogre::LinearForceAffector::_affectParticles(), Ogre::ColourInterpolatorAffector::_affectParticles(), Ogre::ColourImageAffector::_affectParticles(), Ogre::ColourFaderAffector2::_affectParticles(), Ogre::ColourFaderAffector::_affectParticles(), and ParticleIterator().

Particle * Ogre::ParticleIterator::getNext | ( | void |  | ) |

Returns a pointer to the next particle, and moves the iterator on by 1 element.

Definition at line 43 of file OgreParticleIterator.cpp.

References mPos.

Referenced by Ogre::ScaleAffector::_affectParticles(), Ogre::RotationAffector::_affectParticles(), Ogre::LinearForceAffector::_affectParticles(), Ogre::ColourInterpolatorAffector::_affectParticles(), Ogre::ColourImageAffector::_affectParticles(), Ogre::ColourFaderAffector2::_affectParticles(), and Ogre::ColourFaderAffector::_affectParticles().

## Friends And Related Function Documentation

friend class ParticleSystem`[friend]`

| Definition at line 37 of file OgreParticleIterator.h.

## Member Data Documentation

std::list<Billboard*>::iterator Ogre::ParticleIterator::mEnd`[protected]`

| Definition at line 41 of file OgreParticleIterator.h. Referenced by end(), and ParticleIterator().

std::list<Billboard*>::iterator Ogre::ParticleIterator::mPos`[protected]`

| Definition at line 39 of file OgreParticleIterator.h. Referenced by end(), getNext(), and ParticleIterator().

std::list<Billboard*>::iterator Ogre::ParticleIterator::mStart`[protected]`

| Definition at line 40 of file OgreParticleIterator.h. Referenced by ParticleIterator().

The documentation for this class was generated from the following files:

- OgreParticleIterator.h
- OgreParticleIterator.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:21 2004